import { z } from "zod";
import { TenderSchema } from "./Tenders";
export const feedbackSchema = z.object({
  company_id: z.string(),
  created_at: z.number(),
  customer_id: z.string(),
  feedback_type: z.string(),
  id: z.string(),
  tender: TenderSchema.or(z.null()),
  updated_at: z.number(),
});
export const feedbackResponseSchema = z.object({
  data: z.array(feedbackSchema),
});
export type TFeedback = z.infer<typeof feedbackSchema>;
export type TFeedbackResponse = z.infer<typeof feedbackResponseSchema>;
